[PyVault-users] install problem in CentOS 4.2

Jun Zhang zsbrt at yahoo.com
Sun Nov 13 12:27:26 CET 2005


Hello Jeff.

Yeah, it works. I can switch python between 2.3 and 2.4 now. The remind problem
is, if I config the python 2.4, the CUPS daemon will be fail during the booting
time. It's no problem for me. I can turn off it.

Thanks for your great help.

Best Wishes,
 Jun Zhang
13/11/2005 20:19

--- Jeff Pitman <jeff.pitman at gmail.com> wrote:

> On 11/12/05, Jun Zhang <zsbrt at yahoo.com> wrote:
> >
> > After I removed these four packages, the YUM update is successful. Now, I
> > can
> > run Python 2.4 by 'python2.4' and Python 2.3 by 'python2.3'. There is no
> > 'python' command directly.
> >
> 
> The packages rely on the "alternatives" package that I took from ALT Linux.
> It uses a set of rpm macros in the %post to install, but, apparently it
> relies on a particular macrofiles tag found in /usr/lib/rpm/rpmrc or
> /usr/lib/rpm/redhat/rpmrc. If it's not there, then the link setup fails.
> 
> To workaround manually, type this command as root:
> 
> # alternatives-config /usr/bin/python
> 
> Then select which python you'd like to be the default.
> 
> thanks,
> --
> -jeff
> > _______________________________________________
> PyVault-users mailing list
> PyVault-users at python.org
> http://mail.python.org/mailman/listinfo/pyvault-users
> 



	
		
__________________________________ 
Yahoo! Mail - PC Magazine Editors' Choice 2005 
http://mail.yahoo.com


More information about the PyVault-users mailing list